Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.codegen
Class GYearMonthValueCompiler

    java.lang.Object
      com.saxonica.codegen.ValueCompiler
          com.saxonica.codegen.GYearMonthValueCompiler

    public class GYearMonthValueCompiler

extends ValueCompiler

Compile Java code representing an xs:gYearMonth constant value

Constructor Summary
`GYearMonthValueCompiler()`

Method Summary
`String` | `toJavaExpression(AtomicValue value, CompilerService compiler)`

Methods inherited from class com.saxonica.codegen.ValueCompiler
`compilePush, compileToCharSequence, compileToEffectiveBooleanValue, compileToItem, compileToIterator, getJavaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GYearMonthValueCompiler

    public GYearMonthValueCompiler()

Method Detail

### toJavaExpression

    public String toJavaExpression(AtomicValue value,
                                   CompilerService compiler)

  Specified by:
    `toJavaExpression` in class `ValueCompiler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.